# Dedicated Online Reconstruction Setup for `B -> pi l nu` Case

## Reconstruction Execution
```shell
python3 <path/to>/xulnu_job_handler.py --batch --scheduler-host HOST --scheduler-port PORT
```

# Work Share for xulnu Production of March 2022 (`28thMarch2022_pilnu_reco`)

With **inclusion of mixed B0_tag B0_sig reco channel** for events in which both neutral B mesons have the same flavor.

| Stream  | Setup | Status |
| :------ | :---- |:------:|
| 0 Data  | F     |  Done  |
| 0 Gen   | F     |  Done  |
| 0 `D**` | F     |  Done  |
| 0 Gap   | F     |  Done  |
| 0 XuLNu | F     |  Done  |
| 0 Rest  | F     |  Done  |
| 1       | P     |  Done  |
| 2       | P     |  Done  |
| 3       | A     |  Done  |
| 4       | A     |  Done  |
| 5       | A     |  Done  |
| 6       | P     |  Done  |
| 7       | P     |  Done  |
| 8       | P     |  Done  |
| 9       | A     |  Done  |
| LLCS    | P     |  ---   |


# Production Setups:

## Setup F
**Setup in** `/home/belle2/metzner/`

**Data written to** `/gpfs/fs02/belle/users/metzner/rdstar_data/`

**Scheduler on `ccx01`**
```shell
luigid --port 8047
```

**Jobs on `ccx02`**
```shell
python3 /home/belle2/metzner/RDStar/rdstar/batch_jobs/xulnu_setups/xulnu_job_handler.py --batch --scheduler-host ccx01 --scheduler-port 8047 &> /group/belle/users/metzner/rdstar_data/log_prod_<production_tag>_stream_<stream_number>_part1.log
```

## Setup P
**Setup in** `/home/belle2/pecker/felix/`

**Data written to** `/gpfs/fs02/belle/users/pecker/felix/rdstar_data/`

**Scheduler on `ccx03`**
```shell
luigid --port 8843
```

**Jobs on `ccx04`**
```shell
python3 /home/belle2/pecker/felix/RDStar/rdstar/batch_jobs/xulnu_setups/fp_xulnu_job_handler.py --batch --scheduler-host ccx03 --scheduler-port 8843 &> /group/belle/users/pecker/felix/rdstar_data/log_prod_<production_tag>_stream_<stream_number>_part1.log
```


## Setup A
**Setup in** `/home/belle2/abaur/felix/`

**Data written to** `/gpfs/fs02/belle/users/abaur/felix/rdstar_data/`

**Scheduler on `ccw03`**
```shell
luigid --port 8842
```

**Jobs on `ccw05`**
```shell
python3 /home/belle2/abaur/felix/RDStar/rdstar/batch_jobs/xulnu_setups/abaur_xulnu_job_handler.py --batch --scheduler-host ccw03 --scheduler-port 8842 &> /group/belle/users/abaur/felix/rdstar_data/log_prod_<production_tag>_stream_<stream_number>_part1.log
```
