# MC Reweighting

This module is responsible for the calculation of reweighting factors of `B -> D** l nu` decays **from ISGW2 to the
LLSW** decay model.

It requires a installed [custom physics vector package](https://gitlab.ekp.kit.edu/fmetzner/AnalysisTools/tree/master/analysistools/physics_vectors)
which is part of the [`AnalysisTools`](https://gitlab.ekp.kit.edu/fmetzner/AnalysisTools) package,
which is a general requirement for the `RDStar` package.

## Usage

The complete process of
- the generation of the MC required for the reweighting
- the calculation of the weights
- and the generation of evaluation plots to analyse the generated weights

is defined in the tasks within this subpackage.
The entry point to these tasks is the script `b_to_dstst_weights_generation_master.py` in which parameters such as
- the number of `workers` to be used,
- the number of MC events `n_events` per model and per decay channel
- as well as the working directory `reweighting_base_dir_path`

can be specified.

To run the tasks just execute the following command
```shell
python3 rdstar/mc_reweighting/BtoDststlnu/b_to_dstst_weights_generation_master.py &> </path/to/some/dir/>dstst_weight_generation_DDthMONTHYYYY.log
```

In the end, the evaluation plots will be available in the working directory
and the generated weights will be copied into the directory `rdstar/data/dstst_reweighting_data` of this repository.
The changes made to the weight files can then be evaluated with `git` before they are committed to the repo by the user.
